Subject: Re: [WIP v2 2/2] pack-objects: support --blob-max-bytes

From: Junio C Hamano <[email-masked]>
Date: Sun, 04 Jun 2017 08:48:38 +0900

Jeff King <[email-masked]> writes:

> I do also wonder if the two features would need to be separated for a
> GVFS-style solution. If you're not just avoiding large blobs but trying
> to get a narrow clone, you don't want the .git files from the
> uninteresting parts of the tree. You want to get no blobs at all, and
> then fault them in as they become relevant due to user action.

Thanks; I didn't think of this one while reviewing the overall design,
but I agree that this is something important to think about.